Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class AccessControlListDefinition

    java.lang.Object
      oracle.ifs.beans.LibraryObjectDefinition
          oracle.ifs.beans.PublicObjectDefinition
              oracle.ifs.beans.AccessControlListDefinition

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  ClassAccessControlListDefinition, SystemAccessControlListDefinition

    public class AccessControlListDefinition

extends PublicObjectDefinition

The `AccessControlListDefinition` class is used to create or update an AccessControlList object. Most of the specifications can be set using the `setAttribute()` method inherited from LibraryObjectDefinition. The specifications that must be set with explicit methods on this class are:

- setShared - indication whether the new ACL can be shared between multiple PublicObjects. The default is set to true.
- addAceDefinition - adds an AccessControlEntryDefinition. The newly created/modified ACL will have the privilege granted/revoked as specified in the definition.

Associating a Category with an ACL is not supported so the `setCategoryDefinition()` method is overridden.

See Also:
  `AccessControlList`, Serialized Form
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.LibraryObjectDefinition
`m_Attributes, m_ClassObjectName, m_ClassObjectValue, m_ContentSpecifications, m_DefinitionLists, m_Definitions, m_EnclosedDefinition, m_Id, m_Options, m_ReadOnly, m_ReferenceAttributes, m_Session, m_SystemOptions`

Constructor Summary
`AccessControlListDefinition(LibrarySessionInterface session)` Construct a definition explicitly capturing the session.
`AccessControlListDefinition(LibrarySessionInterface session, java.lang.String className)` Construct a definition, explicitly capturing the session and setting the initial classobject.

Method Summary
`void` | `addAceDefinition(AccessControlEntryDefinition def)` Adds an AccessControlEntryDefinition to this object.
`void` | `addAceDefinitions(AccessControlEntryDefinition[] defs)` Adds a set of new AccessControlEntry definitions.
`AccessControlEntryDefinition[]` | `getAceDefinitions()` returns all the ACE Definitions for this instance.
`java.lang.Boolean` | `isShared()` Get the indication as to whether this ACL is a shared ACL.
`void` | `removeAceDefinitions()` Removes all ACE definition specifications from this instance.
`void` | `setAceDefinitions(AccessControlEntryDefinition[] defs)` Defines a set of new ACE Definitions.
`void` | `setShared(boolean isShared)` Set the indication as to whether this ACL is shared.

Methods inherited from class oracle.ifs.beans.PublicObjectDefinition
`addCategoryDefinition, addCategoryDefinitions, getAddToFolderOption, getAddToFolderValue, getAutoFolderingActionSpecification, getCascadeCopyRelationshipsOption, getCascadeCopyRelationshipsOptionValue, getCategoryCopyOption, getCategoryDefinitions, getContentQuotaCopyOption, getCreateCategoriesServerSideOption, getExplicitCreateAndModifyAttributesOption, getExplicitCreateDate, getExplicitLastModifyDate, getFreeIfLastFolderReferenceOption, getKeepLastModifierOption, getKeepLastModifyDateOption, getLockEntryDefinition, getLockObject, getLockObjectDefinition, getLockObjectValue, getSecuringPublicObject, getSecuringPublicObjectValue, getUpdatedLockObjectDefinition, removeCategoryDefinitions, removeLockEntryDefinition, setAddToFolderOption, setAddToFolderValue, setAutoFolderingActionSpecification, setAutoFolderingActionSpecification, setCascadeCopyRelationshipsOption, setCategoryCopyOption, setCategoryDefinitions, setContentQuotaCopyOption, setCreateCategoriesServerSideOption, setExplicitCreateAndModifyAttributesOption, setExplicitCreateDate, setExplicitLastModifyDate, setFreeIfLastFolderReferenceOption, setKeepLastModifierOption, setKeepLastModifyDateOption, setLockEntryDefinition, setLockObject, setLockObjectDefinition, setLockObjectValue, setNullSecurity, setPrivateSecurity, setSecuringPublicObject, setSecuringPublicObjectValue, setUpdatedLockObjectDefinition, toPublicObjectDefinition, toPublicObjectDefinition`

Methods inherited from class oracle.ifs.beans.LibraryObjectDefinition
`addDefinition, addDefinitions, addProperty, addPropertyDefinition, addPropertyDefinitions, captureSession, captureSession, captureSession, clone, constructInstance, constructInstance, copyInto, getAttribute, getAttribute, getAttributes, getAttributes, getAttributesSorted, getClassId, getClassObject, getClassObjectValue, getContentSpecification, getContentSpecificationKeys, getCopiedObjectValue, getDefinition, getDefinitionClassName, getDefinitionKeys, getDefinitionListKeys, getDefinitions, getId, getLibrarySession, getName, getOption, getOptionAsAttributeValue, getOptionKeys, getPolicyMode, getPropertyDefinitions, getReferenceAttribute, getReferenceAttributes, getServerDefinition, getSession, getSLibrarySession, getStringAttribute, getSystemOption, getSystemOptionAsAttributeValue, getSystemOptionAsBoolean, getSystemOptionKeys, getWriteableInstance, isReadOnly, prepareForDefinitionObject, removeAttribute, removeContentSpecification, removeDefinition, removeDefinitions, removeOption, removePropertyDefinitions, removeReferenceAttribute, removeSystemOption, reset, resolve, setAttribute, setAttribute, setAttribute, setAttributeByUpperCaseName, setAttributeByUpperCaseName, setAttributePolicyMode, setAttributes, setClassId, setClassname, setClassObject, setClassObjectValue, setContentSpecification, setCopiedObjectValue, setDefinition, setDefinitions, setId, setName, setOption, setReadOnly, setReferenceAttribute, setReferenceAttribute, setSession, setSystemOption, unresolve, verifySession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessControlListDefinition

    public AccessControlListDefinition(LibrarySessionInterface session)
                                throws IfsException

  Construct a definition explicitly capturing the session. The initial ClassObject will be AccessControlList.

  Parameters:
    `session` - the current session
  Throws:
    `IfsException` - if the operation fails
  (Published)

### AccessControlListDefinition

    public AccessControlListDefinition(LibrarySessionInterface session,
                                       java.lang.String className)
                                throws IfsException

  Construct a definition, explicitly capturing the session and setting the initial classobject.

  Parameters:
    `session` - the current session
    `className` - the initial class name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Method Detail

### setShared

    public void setShared(boolean isShared)
                   throws IfsException

  Description copied from class: `AccessControlListDefinition`
  Set the indication as to whether this ACL is shared.

  Parameters:
    `isShared` - the indication as to whether this ACL is shared.
  Throws:
    `IfsException` - if operation fails .
  (Published)

### isShared

    public java.lang.Boolean isShared()
                               throws IfsException

  Description copied from class: `AccessControlListDefinition`
  Get the indication as to whether this ACL is a shared ACL. Return null if no indication was specified.

  Returns:
    isShared the indication as to whether this ACL is a shared ACL.
  Throws:
    `IfsException` - if operation fails.
  (Published)

### addAceDefinition

    public final void addAceDefinition(AccessControlEntryDefinition def)
                                throws IfsException

  Description copied from class: `AccessControlListDefinition`
  Adds an AccessControlEntryDefinition to this object. The AccessControlEntryDefinition can represent either a grant or revoke operation.

  Parameters:
    `def` - the AccessControlEntryDefinition of the new ACE
  Throws:
    `IfsException` - if the operation fails
  See Also:
    `AccessControlEntryDefinition`
  (Published)

### addAceDefinitions

    public void addAceDefinitions(AccessControlEntryDefinition[] defs)
                           throws IfsException

  Description copied from class: `AccessControlListDefinition`
  Adds a set of new AccessControlEntry definitions. All specified AccessControlEntryDefinitions will be added to the current set of definitions held by this instance.

  Parameters:
    `defs` - the ACE definitions to be added for this instance
  Throws:
    `IfsException`
  (Unpublished)

### setAceDefinitions

    public void setAceDefinitions(AccessControlEntryDefinition[] defs)
                           throws IfsException

  Description copied from class: `AccessControlListDefinition`
  Defines a set of new ACE Definitions. All previously specified AccessControlEntryDefinitions will be removed, prior to adding this set to the instance.

  Parameters:
    `defs` - the ACE definitions
  Throws:
    `IfsException`
  (Unpublished)

### removeAceDefinitions

    public void removeAceDefinitions()
                              throws IfsException

  Description copied from class: `AccessControlListDefinition`
  Removes all ACE definition specifications from this instance.

  Throws:
    `IfsException`
  (Unpublished)

### getAceDefinitions

    public AccessControlEntryDefinition[] getAceDefinitions()
                                                     throws IfsException

  Description copied from class: `AccessControlListDefinition`
  returns all the ACE Definitions for this instance. Return null if no ACE definitions have been specified.

  Returns:
    ACE Definitions for this instance.
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD